curl -X DELETE "https://app.runtm.com/api/agent-directives/dir_abc123" \
-H "Authorization: Bearer runtm_xxx" \
-H "X-Organization-Id: org_abc123"
import requests
response = requests.delete(
"https://app.runtm.com/api/agent-directives/dir_abc123",
headers={
"Authorization": "Bearer runtm_xxx",
"X-Organization-Id": "org_abc123",
},
)
assert response.status_code == 204
const response = await fetch(
"https://app.runtm.com/api/agent-directives/dir_abc123",
{
method: "DELETE",
headers: {
"Authorization": "Bearer runtm_xxx",
"X-Organization-Id": "org_abc123",
},
}
);
console.log(response.status); // 204
{
"detail": "Directive not found"
}
Skills
Delete Skill
Soft-delete an agent directive
DELETE
/
api
/
agent-directives
/
{directive_id}
curl -X DELETE "https://app.runtm.com/api/agent-directives/dir_abc123" \
-H "Authorization: Bearer runtm_xxx" \
-H "X-Organization-Id: org_abc123"
import requests
response = requests.delete(
"https://app.runtm.com/api/agent-directives/dir_abc123",
headers={
"Authorization": "Bearer runtm_xxx",
"X-Organization-Id": "org_abc123",
},
)
assert response.status_code == 204
const response = await fetch(
"https://app.runtm.com/api/agent-directives/dir_abc123",
{
method: "DELETE",
headers: {
"Authorization": "Bearer runtm_xxx",
"X-Organization-Id": "org_abc123",
},
}
);
console.log(response.status); // 204
{
"detail": "Directive not found"
}
Deletes an agent directive. The directive is soft-deleted and no longer appears in list results or template builds.
Required scope:
context:write
Path Parameters
string
required
The directive ID (e.g.
dir_abc123).Headers
string
required
Bearer token. Example:
Bearer runtm_xxxstring
Scope to an organization.
Response
Returns204 No Content on success.
curl -X DELETE "https://app.runtm.com/api/agent-directives/dir_abc123" \
-H "Authorization: Bearer runtm_xxx" \
-H "X-Organization-Id: org_abc123"
import requests
response = requests.delete(
"https://app.runtm.com/api/agent-directives/dir_abc123",
headers={
"Authorization": "Bearer runtm_xxx",
"X-Organization-Id": "org_abc123",
},
)
assert response.status_code == 204
const response = await fetch(
"https://app.runtm.com/api/agent-directives/dir_abc123",
{
method: "DELETE",
headers: {
"Authorization": "Bearer runtm_xxx",
"X-Organization-Id": "org_abc123",
},
}
);
console.log(response.status); // 204
{
"detail": "Directive not found"
}